#line 1 "C:/DOCS/DYNAMIC GAMING/DG stuff/Embedded Systems/Test Projects/encoder test 6/USBdsc.c"
const unsigned int USB_VENDOR_ID = 0x8888;
const unsigned int USB_PRODUCT_ID = 0x4444;
const char USB_SELF_POWER = 0x80;
const char USB_MAX_POWER = 50;
const char HID_INPUT_REPORT_BYTES = 7;
const char HID_OUTPUT_REPORT_BYTES = 1;
const char USB_TRANSFER_TYPE = 0x03;
const char EP_IN_INTERVAL = 1;
const char EP_OUT_INTERVAL = 1;

const char USB_INTERRUPT = 1;
const char USB_HID_EP = 1;
const char USB_HID_RPT_SIZE = 58;


const struct {
 char bLength;
 char bDescriptorType;
 unsigned int bcdUSB;
 char bDeviceClass;
 char bDeviceSubClass;
 char bDeviceProtocol;
 char bMaxPacketSize0;
 unsigned int idVendor;
 unsigned int idProduct;
 unsigned int bcdDevice;
 char iManufacturer;
 char iProduct;
 char iSerialNumber;
 char bNumConfigurations;
} device_dsc = {
 0x12,
 0x01,
 0x0200,
 0x00,
 0x00,
 0x00,
 8,
 USB_VENDOR_ID,
 USB_PRODUCT_ID,
 0x0001,
 0x01,
 0x02,
 0x00,
 0x01
 };


const char configDescriptor1[]= {

 0x09,
 0x02,
 0x29,0x00,
 1,
 1,
 0,
 USB_SELF_POWER,
 USB_MAX_POWER,


 0x09,
 0x04,
 0,
 0,
 2,
 0x03,
 0,
 0,
 0,


 0x09,
 0x21,
 0x01,0x01,
 0x00,
 1,
 0x22,
 USB_HID_RPT_SIZE,0x00,


 0x07,
 0x05,
 USB_HID_EP | 0x80,
 USB_TRANSFER_TYPE,
 0x40,0x00,
 EP_IN_INTERVAL,


 0x07,
 0x05,
 USB_HID_EP,
 USB_TRANSFER_TYPE,
 0x40,0x00,
 EP_OUT_INTERVAL
};

const struct {
 char report[USB_HID_RPT_SIZE];
}hid_rpt_desc =
 {
 {0x05, 0x01,
 0x15, 0x00,
 0x09, 0x04,
 0xa1, 0x01,
 0x05, 0x01,
 0x09, 0x01,
 0xa1, 0x00,
 0x09, 0x30,
 0x09, 0x31,
 0x09, 0x32,
 0x75, 0x10,
 0x95, 0x03,
 0x26, 0xFF, 0x01,
 0x16, 0x01, 0xFE,
 0x81, 0x02,
 0xc0,
 0x05, 0x09,
 0x19, 0x01,
 0x29, 0x03,
 0x15, 0x00,
 0x25, 0x01,
 0x75, 0x01,
 0x95, 0x03,
 0x55, 0x00,
 0x65, 0x00,
 0x81, 0x02,
 0x95, 0x05,
 0x81, 0x03,
 0xc0
 }
 };


const struct {
 char bLength;
 char bDscType;
 unsigned int string[1];
 } strd1 = {
 4,
 0x03,
 {0x0409}
 };


const struct{
 char bLength;
 char bDscType;
 unsigned int string[8];
 }strd2={
 18,
 0x03,
 {'c','o','d','e','p','l','e','b'}
 };


const struct{
 char bLength;
 char bDscType;
 unsigned int string[20];
}strd3={
 42,
 0x03,
 {'e','n','c','o','d','e','r',' ','x',' ','3',' ','u','s','b',' ','t','e','s','t'}
 };


const char* USB_config_dsc_ptr[1];


const char* USB_string_dsc_ptr[3];

void USB_Init_Desc(){
 USB_config_dsc_ptr[0] = &configDescriptor1;
 USB_string_dsc_ptr[0] = (const char*)&strd1;
 USB_string_dsc_ptr[1] = (const char*)&strd2;
 USB_string_dsc_ptr[2] = (const char*)&strd3;
}
